Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Delay-Off Timer - RG354238

Description

This block implements a delay-on timer function and provides both non-inverted and inverted outputs.

The Delay Time (t) is set as a percentage (0 to 100% with a resolution of 0.003%) of the Time Range.  The Time Range is a configuration parameter (displayed at the bottom of the drawing; 2000 ms in the the above example), entered in milliseconds (up to 300 000 000 000 ms with a resolution of 0.001 ms).

When the Input transitions from true to false, the Output will be set to false after the delay time.  When the Input transitions from false to true, the Output is immediately set to true.

The Delay Time is persistent.

Parameters

Input	Input to the timer.  Expects true or false.

Delay Time	Sets the delay time.  Expects a value between 0% and 100%.

Get Output	Returns the current state of the timer:  true, false or timing (true).

Get Delay Time	Returns the current delay time:  0% to 100%.


Description

This block implements a delay-on timer function and provides both non-inverted and inverted outputs.

The Delay Time (t) is set as a percentage (0 to 100% with a resolution of 0.003%) of the Time Range.  The Time Range is a configuration parameter (displayed at the bottom of the drawing; 2000 ms in the the above example), entered in milliseconds (up to 300 000 000 000 ms with a resolution of 0.001 ms).

When the Input transitions from true to false, the Output will be set to false after the delay time.  When the Input transitions from false to true, the Output is immediately set to true.

The Delay Time is persistent.


Parameters

Input	Input to the timer.  Expects true or false.

Delay Time	Sets the delay time.  Expects a value between 0% and 100%.

Get Output	Returns the current state of the timer:  true, false or timing (true).

Get Delay Time	Returns the current delay time:  0% to 100%.